.blog-highlights {
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .section-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 3.2rem;
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .section-title .title {
    font-size: var(--font-size-big);
    margin-bottom: 0;
    margin-right: 1rem;
  }

  > .swiper {
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .swiper .swiper-slide {
    height: auto;
  }

  > .swiper .swiper-slide.-imageless {
    background-color: var(--gray-1);
  }

  > .swiper img {
    transition: var(--transition);
  }

  > .swiper .swiper-slide:hover img {
    @include media("md") {
      transform: scale(1.1);
    }
  }

  > .swiper .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1.6rem;
    color: var(--post-color, var(--white));

    @include media("sm") {
      padding: 2.4rem;
    }

    @include media("md") {
      padding: 2.4rem 3.2rem;
    }
  }

  > .swiper .infos {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  > .swiper .post-date {
    font-size: var(--font-size-small);
    text-transform: uppercase;
    margin-right: 1rem;
  }

  > .swiper .post-tag {
    font-size: var(--font-size-small);
    border-radius: 10rem;
    background-color: rgba(255, 255, 255, 0.4);
    padding: 0.2rem 1.6rem;
    text-transform: uppercase;
  }

  > .swiper .text {
    width: 100%;
  }

  > .swiper .title {
    font-size: var(--font-size-big);
    margin-bottom: 1.6rem;
    color: inherit;

    &:last-child {
      margin-bottom: 0;
    }
  }

  > .swiper .text > *:not(.title) {
    margin-bottom: 0.8rem;

    &:last-child {
      margin-bottom: 0;
    }
  }

  > .swiper .description {
    font-size: var(--font-size-small);
  }

  > .swiper .link-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
  }

  > .swiper-pagination {
    position: static !important;
    margin: 3.2rem auto 0;
    width: 90% !important;

    @include media("sm") {
      width: 100% !important;
    }
  }
}
